Bug 204984 - Improvements to bug reporting
Improvements to bug reporting
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Liu
: 386031 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-09-01 16:36 EDT by Dave Malcolm
Modified: 2009-07-14 13:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 13:23:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2006-09-01 16:36:18 EDT
Description of problem:
I received this error message:
"Summary: SELinux is preventing /usr/bin/realplay.bin from loading
/usr/lib/helix/plugins/swfrender.so which requires text relocation.

Detailed Description
The /usr/bin/realplay.bin application attempted to load
/usr/lib/helix/plugins/swfrender.so which requires text relocation. This is a
potential security problem. Most libraries do not need this permission.
Libraries are sometimes coded incorrectly and request this permission. The
SELinux Memory Protection Tests web page explains how to remove this
requirement. You can configure SELinux temporarily to allow
/usr/lib/helix/plugins/swfrender.so to use relocation as a workaround, until the
library is fixed. Please file a bug report against this package.

Affected RPM Packages:  (blank)

rpm -qf /usr/bin/realplay.bin
rpm -qf /usr/lib/helix/plugins/swfrender.so

Version-Release number of selected component (if applicable):

Actual results:
Blank "Affected RPM Packages" in the "Additional Information", and clicking on
the "bug report" link in the "Detailed Description" took me to

Expected results:
Ideally it should have figured out that the affected RPM package was
RealPlayer-10-5.i386, and clicking on the bug report link should have taken me
to a URL containing the correct Product, Version and Component directly, rather
than requiring me to browse to it.

Additional info:
(I'm not exactly sure where the RealPlayer bugs should be filed)
Comment 1 John Dennis 2008-01-09 17:11:15 EST
*** Bug 386031 has been marked as a duplicate of this bug. ***
Comment 2 Bug Zapper 2008-05-13 22:19:16 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 3 Bug Zapper 2009-06-09 18:16:23 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-07-14 13:23:08 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.